Name:		netconfgen
Version:	0.0.1
Release:	2.1
Url:		https://launchpad.net/netconfgen/
Summary:	Network Config Generator
Group:		System
License:	GPLv3
Source0:	%{name}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	ipv6calc

%description
netconfgen, the Network Config Generator generates configuation files for various network services from a single config file.

Currently supports

- Bind DNS, IPv4 and IPv6, forward and reverse
- ISC DHCP
- Coming soon: iptables

This project is a rename and continuation of addrconf by Gregor Maier
http://www.net.t-labs.tu-berlin.de/~gregor/tools/

%prep
%setup -n %{name}

%build

%install
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
%__install -D -m0755 %{name}.pl %{buildroot}%{_sbindir}/%{name}.pl

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README LICENSE
%doc examples
%{_sbindir}/%{name}.pl

%changelog
* Thu Jul 26 2012 cs@linux-administrator.com
- initial package
